
/*Método que se ejecuta al cargar la página y que muestra el menu (Tabs verticales) - jQuery-Ui*/
$( function() {
  $('#menu').tabs().addClass('ui-tabs-vertical ui-helper-clearfix');
} ); 


/*Método para mostrar la fecha en la barra de estado*/
function guardar(){
	console.log("Entro a guardar");
	$("#bEstado").text(Date());
}


/* Lista de imagenes, haciendo uso de la función slider de jQuery-Ui*/

var slideIndex = 1;

$( function() {
	showSlides(slideIndex);
});

/*Mostrar imagenes */
function showSlides(n) {
   
  var i;
  var slides = $(".slider");
  if (n > slides.length) {slideIndex = 1}
  if (n < 1) {slideIndex = slides.length}
  for (i = 0; i < slides.length; i++) {
      slides[i].style.display = "none";
  }
  slides[slideIndex-1].style.display = "block";
  mostrarNombre(slideIndex-1);
}

/* incrementar el indice para ir cargando las imagenes a medida que se hace click en los botones de avance o retroceso*/
function plusSlides(n) {
  showSlides(slideIndex += n);
}

/* Capturar el atributo "alt" de cada imagen con selectores jQuery*/
function mostrarNombre(index){
	var nombre= $($(".slider")[index]).children().attr("alt");
	$(".nImagen").text(nombre);
}


/*Preparación de los datos para consumir Servicio REST*/
function onConsultar(){
    console.log("entro")
    var longitud = document.getElementById("longitud").value;
    var latitud = document.getElementById("latitud").value;
    var url = "https://api.sunrise-sunset.org/json?lat="+longitud+"&lng="+latitud;
    console.log(url);
    consumir(url);
}

/*Invocación AJAX - para consumo de Web Service REST - jQuery*/
function consumir(url){
    console.log(url)
    $.get(url,function(data,status) { 
       $('#sunrise').text("Sunrise at " + data.results.sunrise);
       $('#sunset').text("Sunset at "+ data.results.sunset);
       $('#solar_noon').text("Solar Noon at " +data.results.solar_noon);
       $('#day_length').text("Day Length " +data.results.day_length);
       $('#status').text("Status"+ data.status);
    });
}



